# PaginatedTransactionRepository

    public protocol PaginatedTransactionRepository

Undocumented

- `pageSize`

  The page size of this repository

  #### Declaration

  Swift

      var pageSize: Int { get }

- `pageCount`

  How many pages are in total

  #### Declaration

  Swift

      var pageCount: Int { get }

- `itemCount`

  How many items are to be displayed in total

  #### Declaration

  Swift

      var itemCount: Int { get }

- `page(_:)`

  Returns the page number if exists. Blocking

  #### Declaration

  Swift

      func page(_ number: Int) throws -> [TransactionEntity]?

- `page(_:result:)`

  Returns the page number if exists. Non-blocking

  #### Declaration

  Swift

      func page(_ number: Int, result: @escaping (Result<[TransactionEntity]?, Error>) -> Void)

© 2022 Francisco Gindre and Jack Grigg. All rights reserved. (Last updated: 2022-04-07)

Generated by jazzy ♪♫ v0.14.2, a Realm project.